XdkWrl: SFString Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# SFString Class Reference
[Field Types]

`#include <sfstring.h>`

List of all members.

## Public Member Functions
| SFString ()
| SFString (const char *c)
| SFString (const std::string &s)
SFString & | operator= (const char *b)
SFString & | operator= (const std::string &b)
SFString & | operator= (const SFString &b)
| operator const char * () const
| operator std::string () const
bool | operator== (const SFString &s) const
## Static Public Member Functions
static const char * | typeName ()
static FieldTypeId | typeId ()
## Friends
std::ostream & | operator<< (std::ostream &s, const SFString &f)

## Detailed Description

Represents a string value. Below is included the documentation for this field type from the ISO standard.

## 5.9 SFString and MFString

The SFString and MFString fields and events contain strings formatted with the UTF-8 universal character set (see 2.[UTF8]). SFString specifies a single string. The MFString specifies zero or more strings. Strings are written to the VRML file as a sequence of UTF-8 octets enclosed in double quotes (e.g., `"string"`).

Any characters (including linefeeds and '#') may appear within the quotes. A double quote character within the string is preceded with a backslash. A backslash character within the string is also preceded with a backslash forming two backslashes. For example:

        fooString [ "One, Two, Three", "He said, \"Immel did it!\"" ]

is an MFString field, fooString, with two valid strings.

The initial value of an SFString eventOut is "" (the empty string). The initial value of an MFString eventOut is [ ].

## Constructor & Destructor Documentation

SFString | ( |  | ) | `[inline]`

SFString | ( | const char * | c | ) | `[inline]`

SFString | ( | const std::string & | s | ) | `[inline]`

## Member Function Documentation

SFString & operator= | ( | const char * | b | ) | `[inline]`

SFString & operator= | ( | const std::string & | b | ) | `[inline]`

SFString & operator= | ( | const SFString & | b | ) | `[inline]`

operator const char * | ( |  | ) | const`[inline]`

operator std::string | ( |  | ) | const`[inline]`

const char * typeName | ( |  | ) | `[inline, static]`

FieldTypeId typeId | ( |  | ) | `[inline, static]`

bool operator== | ( | const SFString & | s | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const SFString & | f |
| ) |  |  | `[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |